rsa.h File Reference

This file contains classes that implement the RSA ciphers and signature schemes as defined in PKCS #1 v2.0. More...

`#include "pubkey.h"`
`#include "asn.h"`
`#include "pkcspad.h"`
`#include "oaep.h"`
`#include "emsa2.h"`

Go to the source code of this file.

## Classes

class | RSAFunction
| _ More...
class | InvertibleRSAFunction
| _ More...
class | RSAFunction_ISO
class | InvertibleRSAFunction_ISO
struct | RSA
| RSA. More...
struct | RSAES< STANDARD >
| RSA cryptosystem More...
struct | RSASS< STANDARD, H >
| RSA signature scheme with appendix More...
struct | RSA_ISO
struct | RSASS_ISO< H >

## Typedefs

typedef RSAES< PKCS1v15 > ::Decryptor | RSAES_PKCS1v15_Decryptor
typedef RSAES< PKCS1v15 > ::Encryptor | RSAES_PKCS1v15_Encryptor
typedef RSAES< OAEP< SHA > >::Decryptor | RSAES_OAEP_SHA_Decryptor
typedef RSAES< OAEP< SHA > >::Encryptor | RSAES_OAEP_SHA_Encryptor
typedef RSASS< PKCS1v15, SHA > ::Signer | RSASSA_PKCS1v15_SHA_Signer
typedef RSASS< PKCS1v15, SHA > ::Verifier | RSASSA_PKCS1v15_SHA_Verifier
typedef RSASS< PKCS1v15, Weak1::MD2 >::Signer | Weak::RSASSA_PKCS1v15_MD2_Signer
typedef RSASS< PKCS1v15, Weak1::MD2 >::Verifier | Weak::RSASSA_PKCS1v15_MD2_Verifier
typedef RSASS< PKCS1v15, Weak1::MD5 >::Signer | Weak::RSASSA_PKCS1v15_MD5_Signer
typedef RSASS< PKCS1v15, Weak1::MD5 >::Verifier | Weak::RSASSA_PKCS1v15_MD5_Verifier

## Detailed Description

This file contains classes that implement the RSA ciphers and signature schemes as defined in PKCS #1 v2.0.

Definition in file rsa.h.